Opened 3 years ago

Closed 3 years ago

#1976 closed Enhancement (fixed)

improve restart read/write in LIM3

Reported by: andmirek Owned by: andmirek
Priority: normal Milestone: 2017 WP
Component: IOM Version: trunk
Severity: minor Keywords: IOM* LIM* read/write restartability
Cc: Review:
MP ready?:
Progress:

Description

Context

LIM3 uses NEMO interface to read and write restart. The only option in NEMO for multidimensional data is to write either 2D or 3D field into netcdf file. A 3D fields must have number of levels equal to that of NEMO. It causes problem when different restart field with different number of levels has to be written. This situation happens in LIM, which has number of levels different than NEMO.

Proposal

Extend IOM interface to handle different number of levels than defined for NEMO, for restart read and write. The extension is to handle 3D fields only (with different than NEMO number of levels). Some of LIM3 fields are 4D, but these will have to be written as a set of 3D fields.

Commit History (3)

ChangesetAuthorTimeChangeLog
8722andmirek2017-11-16T10:50:38+01:00

#1976 changes in variable name and indentation

8708andmirek2017-11-15T12:39:36+01:00

#1976 improvements in LIM3 restart. Working version

8705andmirek2017-11-14T16:23:11+01:00

#1976 restart read write in LIM3

Change History (8)

comment:1 Changed 3 years ago by andmirek

Branch forge.ipsl.jussieu.fr/ipsl/forge/projets/nemo/svn/branches/2017/dev_rev8689_LIM3_RST https://forge.ipsl.jussieu.fr/nemo/browser/branches/2017/dev_rev8689_LIM3_RST created.

comment:2 Changed 3 years ago by andmirek

@8708 has working version of LIM3 restart read/write for 3D fields. It was tested in SETTE configuration 3. LONG and SHORT solver.stat files are identical for the 75 last timesteps. AGRIF configuration (13/14) runs OK with changes.

Last edited 3 years ago by andmirek (previous) (diff)

comment:3 Changed 3 years ago by nicolasmartin

  • Owner set to andmirek
  • Status changed from new to assigned

comment:4 Changed 3 years ago by nemo

  • Keywords IOM* added

comment:5 Changed 3 years ago by nemo

  • Keywords LIM3 improve in read/write restartability added

comment:6 Changed 3 years ago by nemo

  • Keywords improve in removed

comment:7 Changed 3 years ago by nemo

  • Keywords LIM* added; LIM3 removed

comment:8 Changed 3 years ago by clem

  • Resolution set to fixed
  • Status changed from assigned to closed
Note: See TracTickets for help on using tickets.